org.eclipse.swt.widgets

## Interface Listener

All Known Implementing Classes:
  ClientListener, TypedListener

    public interface Listener

Implementers of `Listener` provide a simple `handleEvent()` method that is used internally by SWT to dispatch events.

After creating an instance of a class that implements this interface it can be added to a widget using the `addListener(int eventType, Listener handler)` method and removed using the `removeListener (int eventType, Listener handler)` method. When the specified event occurs, `handleEvent(...)` will be sent to the instance.

Classes which implement this interface are described within SWT as providing the untyped listener API. Typically, widgets will also provide a higher-level typed listener API, that is based on the standard `java.util.EventListener` pattern.

See Also:
  `Widget.addListener(int, org.eclipse.swt.widgets.Listener)`, `EventListener`, `org.eclipse.swt.events`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `handleEvent(Event event)` Sent when an event that the receiver has registered for occurs.

### Method Detail

#### handleEvent

    void handleEvent(Event event)

Sent when an event that the receiver has registered for occurs.

Parameters:
  `event` - the event which occurred

Copyright (c) EclipseSource and others 2002, 2020. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0